Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Affected version: trunk (r15595 and later)

Firefox:

No problem.

 

Chrome:

padding property of input#login-submit seems to be ineffective.

 

Associated revisions
https://www.redmine.org/projects/redmine/repository/svn/revisions/15595


Revision 15880 - 2016-10-02 13:05 - Jean-Philippe Lang

Login button is too thin on WebKit browsers (#23777).

Patch by Marius BALTEANU.

History

#1 - 2016-09-07 04:25 - Go MAEDA

- File fix-login-button-is-too-thin.diff added

This is a patch to fix this issue: fix-login-button-is-too-thin.diff

Changes input[type="submit"] to button[type="submit"].

#2 - 2016-09-07 11:00 - martin Jacob

- File Plombier Créteil.jpg added

#3 - 2016-09-07 11:17 - Go MAEDA

- File deleted (Plombier Créteil.jpg)

#4 - 2016-09-12 07:36 - Toshi MARUYAMA

I cannot see any problem on Windows 10 Chrome 53.0.2785.101 m (64-bit).

#5 - 2016-09-12 07:49 - Go MAEDA

Toshi MARUYAMA wrote:

I cannot see any problem on Windows 10 Chrome 53.0.2785.101 m (64-bit).

 Thank you for checking on Windows. I tested on Windows after seeing your post and found that the problem can not be reproduced on Windows.

I reproduced this problem on:

Mac OS X 10.11.6 - Chrome 52.0.2743.116 (64-bit)

Mac OS X 10.11.6 - Safari 9.1.3 (11601.7.8)

#6 - 2016-09-27 08:51 - Go MAEDA

- Target version set to 3.4.0

#7 - 2016-10-01 13:07 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Could we fix the style without having to change the DOM element from input to button?

#8 - 2016-10-01 14:40 - Marius BĂLTEANU

- File fix-login-button-is-too-thin_v2.diff added

Jean-Philippe Lang wrote:

Could we fix the style without having to change the DOM element from input to button?

 Attached an alternative patch that fixes this issue only from CSS. I chose to target all input elements with type submit to prevent further issues like

this.

#9 - 2016-10-02 13:05 - Jean-Philippe Lang

- Assignee set to Go MAEDA

Thanks for the patch. Go, can you confirm the fix works for you?

#10 - 2016-10-02 14:30 - Go MAEDA

- Status changed from Needs feedback to Resolved

- Assignee changed from Go MAEDA to Jean-Philippe Lang
https://www.redmine.org/attachments/16652


Jean-Philippe Lang wrote:

Thanks for the patch. Go, can you confirm the fix works for you?

 Thanks to Marius BALTEANU, the fix works completely for me.

#11 - 2016-10-02 15:09 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version deleted (3.4.0)

- Resolution set to Fixed

Thanks for your feedback, the patch is committed.

Files

login-firefox.png 13.9 KB 2016-09-07 Go MAEDA

login-chrome.png 14 KB 2016-09-07 Go MAEDA

fix-login-button-is-too-thin.diff 1.4 KB 2016-09-07 Go MAEDA

fix-login-button-is-too-thin_v2.diff 566 Bytes 2016-10-01 Marius BĂLTEANU

Powered by TCPDF (www.tcpdf.org)

2025-06-07 3/3

http://www.tcpdf.org

